# API get detail virtual account

* **Purpose**: This is the API used to get detail of virtual account by The ID of seller/business is provided by merchant.
* **API**:
  * Path: ***v2/col/virtual-accounts/:virtualAccountRequestId***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>virtualAccountRequestId</td><td>String</td><td>Y</td><td>The ID of seller/business is provided by merchant.</td></tr></tbody></table>

### **Response Data**

| Parameter     | Data Type | Description                                                                   |
| ------------- | --------- | ----------------------------------------------------------------------------- |
| code          | Number    | Error code, refer to [table of error codes](#../error-codes.md).              |
| message       | String    | Error description.                                                            |
| data          | Object    | Refer to [GetDetailVirtualAccountResponse](#getdetailvirtualaccountresponse). |
| neoResponseId | String    | The ID of NeoX response.                                                      |

#### GetDetailVirtualAccountResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>requestId</td><td>String</td><td>The requestId when creating virtual account.</td></tr><tr><td>virtualAccountRequestId</td><td>String</td><td>The ID of seller/business is provided by merchant.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Virtual Account number.</td></tr><tr><td>accountName</td><td>String</td><td>Virtual Account name.</td></tr><tr><td>accountAddress</td><td>String</td><td>Virtual Account address.</td></tr><tr><td>bankId</td><td>String</td><td>The bank swiftcode of virtual account.</td></tr><tr><td>bankName</td><td>String</td><td>The bank name of virtual account.</td></tr><tr><td>qrText</td><td>String</td><td>Napas QR Code plain data for virtual account.</td></tr><tr><td>status</td><td>String</td><td>Virtual account active status, include:<br>ACTIVE: Virtual account has been actived and can be used.<br>INACTIVE: Virtual account has been inactived and can not be used.</td></tr><tr><td>authorizeStatus</td><td>String</td><td>Virtual account authorize status, Include:<br>PENDING_KYC: KYC/KYB documents for VA were not uploaded.<br>VERIFYING: KYC/KYB documents for VA were uploaded, waiting to verify.<br>APPROVED: KYC/KYB documents for VA have been approved.<br>REJECT: KYC/KYB documents for VA have been rejected</td></tr><tr><td>serviceInfomation</td><td>Object</td><td>Refer to <a href="https://github.com/neopayvn/neox-gitbook-documents-v2/blob/main/collections/integration/virtual-accounts/api-upload-kyc-file.md#uploadfileresponse">ServiceInformationData.</a></td></tr><tr><td>note</td><td>String</td><td>Note for current virtual account.</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record last updated time</td></tr></tbody></table>
